/**
 * @file
 * File webform_deter.js.
 */

(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.webform_deter = {
    log_clear : function() {
      if (drupalSettings.webform_deter.debug) {
        $('#' + drupalSettings.webform_deter.debug).html('');
      }
    },
    log : function(msg) {
      if (drupalSettings.webform_deter.debug) {
        $('#' + drupalSettings.webform_deter.debug).append(msg + '<br />');
        if (console && console.log) {
          console.log(msg);
        }
      }
    },
    attach: function(context) {
      if (drupalSettings.webform_deter.warning_message.length > 1) {
        $('form[class*="webform"]', context).submit(function() {
          Drupal.behaviors.webform_deter.log_clear();
          var allowSubmission = true;
          $('input[type="text"], textarea', this).each(function() {
            var i, p;
            for (i in drupalSettings.webform_deter.patterns) {
              p = new RegExp(drupalSettings.webform_deter.patterns[i], 'i');
              Drupal.behaviors.webform_deter.log('Checking: ' + $(this).attr('id') + ' against ' + i + ': ' + p);
              if ($(this).val().match(p)) {
                Drupal.behaviors.webform_deter.log($(this).attr('id') + ' matched');
                allowSubmission = false;
                if (!drupalSettings.webform_deter.debug) {
                  return false;
                }
              }
            }
          });

          var ret = (allowSubmission) ? allowSubmission : window.confirm(drupalSettings.webform_deter.warning_message);
          if (!drupalSettings.webform_deter.debug) {
            return ret;
          }
          else {
            Drupal.behaviors.webform_deter.log('Processing complete');
            return false;
          }
        });
      }
    }
  };
})(jQuery, Drupal, drupalSettings)
